%CREATE_DICT Updates the dictionary of intensities built by SETUP_DICT with
%a training data-set that can be loaded or created from scratch.
%   Written by Monica Jane Emerson, March 2019, MIT License

%USER INPUT: Option to load a labelling that was saved
x = questdlg('Would you like to load a labelling or create a new one?','Annotation of training data','New one','Load','New one');

if strcmp(x,'Load') 
    [filename,pathname] = uigetfile('*.mat','Choose training image','../data/saved_data/trainingData/imtrain.mat');
    load([pathname,filename]);
    [filename,pathname] = uigetfile('*labels_indexed.png','Choose label image','../data/saved_data/trainingData/');
    labelling = imread([pathname,filename]);
    
    dictionary = build_dictionary(im_train,dictopt); %create the dictionary of intensities
    image_texture_gui(im_train,dictionary,2,labelling)
else
    %select a small RoI for training, containing 100 fibres approx
    prompt = ['Choose a slice for training: [1,', num2str(size(V,3)),']:'];
    x = inputdlg(prompt,...
    'User input',[1,30],{num2str(round(size(V,3)/2))});  %select slice
    path_trainSlice = [path_volumeFolder,contents_datafolder(str2double(x{1})+2).name];
    [~,im_train] = selectFoV(path_trainSlice);
    uisave('im_train','../data/saved_data/trainingData/imtrain.mat')
    
    dictionary = build_dictionary(im_train,dictopt); %create the dictionary of intensities
    image_texture_gui(im_train,dictionary,2) %learn the dictionary of probabilities by annotating in the GUI 
end
dictionary = update_dictionary(dictionary,gui_dictprob); %update dictionary to include the learnt probalilities

%USER INPUT: Save dictionary to process the complete scan
uisave('dictionary','../data/saved_data/dictionaries/dictionary_v.mat')
